package core.notevault.sync.synchronisation;

import java.time.LocalDateTime;
import java.util.List;

public class SyncRequest {
    private LocalDateTime lastSync;
    private List<SyncChangeRequest> deletedConcerts;
    private List<SyncChangeRequest> modifiedConcerts;
    private List<Integer> createdConcerts;

    public SyncRequest(LocalDateTime lastSync, List<SyncChangeRequest> deletedConcerts, List<SyncChangeRequest> modifiedConcerts, List<Integer> createdConcerts) {
        this.lastSync = lastSync;
        this.deletedConcerts = deletedConcerts;
        this.modifiedConcerts = modifiedConcerts;
        this.createdConcerts = createdConcerts;
    }

    public LocalDateTime getLastSync() {
        return lastSync;
    }

    public void setLastSync(LocalDateTime lastSync) {
        this.lastSync = lastSync;
    }

    public List<SyncChangeRequest> getDeletedConcerts() {
        return deletedConcerts;
    }

    public void setDeletedConcerts(List<SyncChangeRequest> deletedConcerts) {
        this.deletedConcerts = deletedConcerts;
    }

    public List<SyncChangeRequest> getModifiedConcerts() {
        return modifiedConcerts;
    }

    public void setModifiedConcerts(List<SyncChangeRequest> modifiedConcerts) {
        this.modifiedConcerts = modifiedConcerts;
    }

    public List<Integer> getCreatedConcerts() {
        return createdConcerts;
    }

    public void setCreatedConcerts(List<Integer> createdConcerts) {
        this.createdConcerts = createdConcerts;
    }
}
