package core.notevault.ui.gallery.detail;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModel;
import core.notevault.data.MusicNote;

import java.util.ArrayList;
import java.util.List;

public class ConcertDetailViewModel extends ViewModel {
    private final MutableLiveData<List<MusicNote>> concertSongs;

    public ConcertDetailViewModel() {
        this.concertSongs = new MutableLiveData<>(new ArrayList<>());
    }

    public LiveData<List<MusicNote>> getConcertSongs() {
        return concertSongs;
    }

    public void setConcertSongs(List<MusicNote> concertSongs) {
       this.concertSongs.setValue(concertSongs);
    }

    public void deleteConcertSong(MusicNote note) {
        List<MusicNote> currentConcertSongs = concertSongs.getValue();
        if(currentConcertSongs != null) {
            currentConcertSongs.remove(note);
            this.concertSongs.setValue(currentConcertSongs);
        }
    }

    public void addConcertSongs(List<MusicNote> concertSongs) {
        List<MusicNote> currentConcertSongs = this.concertSongs.getValue();
        if(currentConcertSongs != null) {
            currentConcertSongs.addAll(concertSongs);
            this.concertSongs.setValue(currentConcertSongs);
        }
    }
}
