package core.notevault.ui.login;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.Context;
import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.EditText;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.DialogFragment;
import core.notevault.R;
import core.notevault.sync.auth.AuthRepository;
import core.notevault.sync.auth.LoginCallback;
import retrofit2.Call;
import retrofit2.Callback;

public class LoginDialogFragment extends DialogFragment {
    private LoginCallback loginCallback;

    @Override
    public void onAttach(Context context) {
        super.onAttach(context);
        if (context instanceof LoginCallback) {
            loginCallback = (LoginCallback) context;
        } else {
            throw new RuntimeException(context.toString() + " must implement LoginDialogListener");
        }
    }

    @NonNull
    @Override
    public Dialog onCreateDialog(@Nullable Bundle savedInstanceState) {
        LayoutInflater inflater = requireActivity().getLayoutInflater();
        View loginView = inflater.inflate(R.layout.fragment_login_dialog, null); // Ersetze 'your_dialog_layout' durch deinen Dateinamen

        EditText usernameInput = loginView.findViewById(R.id.editTextUsername);
        EditText passwordInput = loginView.findViewById(R.id.editTextPassword);

        AuthRepository authRepository = new AuthRepository(this.getContext());

        return new AlertDialog.Builder(requireContext())
                .setView(loginView)
                .setPositiveButton("Speichern", (dialog, which) -> {
                    String username = usernameInput.getText().toString();
                    String password = passwordInput.getText().toString();

                    authRepository.performLogin(username, password, loginCallback);
                } )
                .setNegativeButton("Abbrechen", (dialog, which) -> {} )
                .create();
    }


}
